package com.isidroid.c23.data.source.settings

import android.content.Context
import com.isidroid.c23.constant.AppBuildType

object Settings {
    private val map = SettingsMap()

    fun init(context: Context) {
        map.init(context)
    }

    var buildType: String
        get() = map.string(SettingId.APP_BUILD_TYPE, AppBuildType.PROD) ?: AppBuildType.PROD
        set(value) = map.save(SettingId.APP_BUILD_TYPE, value)

    var authToken: String?
        get() = map.string(SettingId.TOKEN, null)
        set(value) = map.save(SettingId.TOKEN, value)
}